<app-toolbar></app-toolbar>
<form [formGroup]="formGroup" class="flex flex-col h-full overflow-y-auto">
  <div class="flex-1 p-4 space-y-6 overflow-y-auto">
    <app-input-label w="full" [labelText]="'제목'">
      <input class="w-full" type="text" formControlName="name" placeholder="제목을 입력해 주세요." />
    </app-input-label>
    <app-input-label w="full" [labelText]="'내용'">
      <textarea [rows]="3" class="w-full" type="text" formControlName="content" placeholder="내용을 입력해 주세요."></textarea>
    </app-input-label>
    <div class="space-y-2.5">
      <p class="text-sm">우선순위</p>
      <div class="flex space-x-2">
        <app-tag color="red" [active]="formGroup.value.priority == priority.HIGH"
          (click)="onChangePriority(priority.HIGH)">HIGH</app-tag>
        <app-tag color="blue" [active]="formGroup.value.priority == priority.MIDDLE"
          (click)="onChangePriority(priority.MIDDLE)">MIDDLE</app-tag>
        <app-tag color="grey" [active]="formGroup.value.priority == priority.LOW"
          (click)="onChangePriority(priority.LOW)">LOW</app-tag>
      </div>
    </div>
    <div>
      <app-search-select-box [name]="'태그'" (inputEm)="searchTag($event)" (selectedEm)="onChangeLabelSelected($event)"
        [labels]="labels()" [selectedLabels]="milestone?.milestoneLabels ?? []"></app-search-select-box>
    </div>
    <div class="space-y-2.5">
      <p class="text-sm">작업</p>
      <div class="w-full space-y-2">
        @for (kanban of milestone?.kanbans; track $index) {
        <app-kanban-card [kanban]="kanban" [milestoneType]="true"></app-kanban-card>
        }
        @if((milestone?.kanbans?.length ?? 0) <= 0 ){ <div
          class="border border-border rounded-md w-full flex items-center justify-center text-[#9CA3AF] h-[200px]">
          <p class="text-xs leading-6 text-center">
            마일스톤에 작업을 할당하려면<br>
            칸반보드에서 해당 마일스톤을 선택해 주세요.
          </p>
      </div>
      }
    </div>
  </div>
  </div> 
</form>
<div class="flex items-center px-4 py-3 space-x-2">
  @if(formGroup.invalid){
  <app-button class="px-4 !bg-gray-300 !border-none">{{milestoneId?'수정':'저장'}}</app-button>
  }@else {
  <app-button class="px-4"
    (click)="milestoneId ? updateMilestone() : createMilestone()">{{milestoneId?'수정':'저장'}}</app-button>
  }
  @if(milestoneId){
  <app-button class="px-4 !text-error !bg-[#FCE4E4]" (click)="deleteKanban()">삭제</app-button>
  }
</div>